org.codehaus.groovy.transform.sc.transformers

## Class RangeExpressionTransformer

- java.lang.Object
- - org.codehaus.groovy.transform.sc.transformers.RangeExpressionTransformer

    public class RangeExpressionTransformer
    extends java.lang.Object

This transformer focuses on ranges to produce optimized bytecode.

Author:
  Cedric Champeau

### Constructor Summary

Constructors
Constructor and Description
`RangeExpressionTransformer(StaticCompilationTransformer transformer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `transformRangeExpression(RangeExpression range)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeExpressionTransformer

    public RangeExpressionTransformer(StaticCompilationTransformer transformer)

### Method Detail

#### transformRangeExpression

    public Expression transformRangeExpression(RangeExpression range)